OnlyFans API
OnlyFansFree Trial LinksStored Shared Free Trial Links

List Stored Shared Free Trial Links

List all shared Free Trial Links from the OnlyFansAPI Cache. This is a free endpoint that does not call the OnlyFans API.

GET
/api/{account}/stored/shared-trial-links
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

Query Parameters

limit?integer

The number of shared trial links to return. Default 10. Must be at least 1. Must not be greater than 1000.

offset?integer

The offset used for pagination. Default 0. Must be at least 0.

filter?object
filter.search?string|null

Must not be greater than 255 characters.

filter.tags?array<string>

Must not be greater than 50 characters.

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/stored/shared-trial-links?limit=10&offset=0&filter=&filter.search=airearuddtfxoqiazixsvp&filter.tags=dm"
{
  "data": {
    "list": [
      {
        "id": 123,
        "trialLinkName": "Example shared trial link",
        "url": "https://onlyfans.com/username/trial/abc123",
        "subscribeDays": 30,
        "subscribeCounts": 0,
        "claimCounts": 123,
        "clicksCounts": 182,
        "expiredAt": null,
        "createdAt": "2025-01-01T01:01:01+00:00",
        "isFinished": false,
        "tags": [],
        "owner": {
          "id": 123,
          "username": "username",
          "name": "Model name",
          "avatarThumbUrl": "https://thumbs.onlyfans.com/public/files/thumbs/a123/a/aa/aaa/abc123/123/avatar.jpg"
        }
      }
    ],
    "hasMore": false
  },
  "_pagination": {
    "next_page": null,
    "notice": null
  },
  "_meta": {
    "_credits": {
      "used": 0,
      "balance": 10055833,
      "note": "Free endpoint"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}